gnutls_x509_ext_import_name_constraints(3)

NAME
gnutls_x509_ext_import_name_constraints - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_import_name_constraints(const gnutls_datum_t * ext, gnutls_x509_name_constraints_t nc, unsigned int flags);

ARGUMENTS

const gnutls_datum_t * ext
    a DER encoded extension

gnutls_x509_name_constraints_t nc
    The nameconstraints intermediate structure

unsigned int flags
    zero or GNUTLS_NAME_CONSTRAINTS_FLAG_APPEND

DESCRIPTION
This function will return an intermediate structure containing the name constraints of the provided NameConstraints extension. That structure can be used in combination with gnutls_x509_name_constraints_check() to verify whether a server's name is in accordance with the constraints. When the flags is set to GNUTLS_NAME_CONSTRAINTS_FLAG_APPEND, then if the nc structure is empty this function will behave identically as if the flag was not set. Otherwise if there are elements in the nc structure then only the excluded constraints will be appended to the constraints. Note that nc must be initialized prior to calling this function.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the extension is not present, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/